# Sample.Sample Class Reference

Inherits Microsoft::Samples::DirectX::UtilityToolkit::IFrameworkCallback, Microsoft::Samples::DirectX::UtilityToolkit::IDeviceCreation, Microsoft::Samples::DirectX::UtilityToolkit::IFrameworkCallback, and Microsoft::Samples::DirectX::UtilityToolkit::IDeviceCreation.

Collaboration diagram for Sample.Sample:

[legend]

List of all members.

## Public Member Functions
| Sample (Framework f)
| Create a new instance of the class.
void | InitSound ()
bool | IsDeviceAcceptable (Microsoft.DirectX.Direct3D.Caps caps, Format adapterFormat, Format backBufferFormat, bool windowed)
| Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.
void | ModifyDeviceSettings (DeviceSettings settings, Microsoft.DirectX.Direct3D.Caps caps)
| This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.
void | OnFrameMove (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.
void | OnFrameRender (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam, ref bool noFurtherProcessing)
| Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.
void | InitializeApplication ()
| Initializes the application.
| Sample (Framework f)
| Create a new instance of the class.
void | InitSound ()
bool | IsDeviceAcceptable (Microsoft.DirectX.Direct3D.Caps caps, Format adapterFormat, Format backBufferFormat, bool windowed)
| Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.
void | ModifyDeviceSettings (DeviceSettings settings, Microsoft.DirectX.Direct3D.Caps caps)
| This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.
void | OnFrameMove (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.
void | OnFrameRender (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam, ref bool noFurtherProcessing)
| Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.
void | InitializeApplication ()
| Initializes the application.

## Detailed Description

Definition at line 31 of file Sample.cs.

## Constructor & Destructor Documentation

Sample.Sample.Sample | ( | Framework | f | ) |

Create a new instance of the class.

Definition at line 68 of file Sample.cs.

Sample.Sample.Sample | ( | Framework | f | ) |

Create a new instance of the class.

Definition at line 68 of file Sample.cs.

## Member Function Documentation

void Sample.Sample.InitializeApplication | ( |  | ) |

Initializes the application.

Definition at line 648 of file Sample.cs.

Here is the call graph for this function:

void Sample.Sample.InitializeApplication | ( |  | ) |

Initializes the application.

Definition at line 648 of file Sample.cs.

Here is the call graph for this function:

void Sample.Sample.InitSound | ( |  | ) |

Definition at line 80 of file Sample.cs.

void Sample.Sample.InitSound | ( |  | ) |

Definition at line 80 of file Sample.cs.

bool Sample.Sample.IsDeviceAcceptable | ( | Microsoft.DirectX.Direct3D.Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | windowed |
| ) |  |  |

Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.

Definition at line 92 of file Sample.cs.

bool Sample.Sample.IsDeviceAcceptable | ( | Microsoft.DirectX.Direct3D.Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | windowed |
| ) |  |  |

Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.

Definition at line 92 of file Sample.cs.

void Sample.Sample.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Microsoft.DirectX.Direct3D.Caps | caps |
| ) |  |  |

This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.

Definition at line 114 of file Sample.cs.

void Sample.Sample.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Microsoft.DirectX.Direct3D.Caps | caps |
| ) |  |  |

This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.

Definition at line 114 of file Sample.cs.

void Sample.Sample.OnFrameMove | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.

Definition at line 424 of file Sample.cs.

Here is the call graph for this function:

void Sample.Sample.OnFrameMove | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.

Definition at line 424 of file Sample.cs.

Here is the call graph for this function:

void Sample.Sample.OnFrameRender | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.

Definition at line 472 of file Sample.cs.

Here is the call graph for this function:

void Sample.Sample.OnFrameRender | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.

Definition at line 472 of file Sample.cs.

Here is the call graph for this function:

IntPtr Sample.Sample.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam,
|  | ref bool | noFurtherProcessing |
| ) |  |  |

Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.

Definition at line 625 of file Sample.cs.

Here is the call graph for this function:

IntPtr Sample.Sample.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam,
|  | ref bool | noFurtherProcessing |
| ) |  |  |

Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.

Definition at line 625 of file Sample.cs.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Sample/Sample.cs
- D:/guillaume/guillara/3D/DXGfx/Sample/Sample.cs